petsc-3.10.5 2019-03-28
Report Typos and Errors

# PCGASMDestroySubdomains

Destroys the index sets created with PCGASMCreateSubdomains() or PCGASMCreateSubdomains2D. Should be called after setting subdomains with PCGASMSetSubdomains().

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCGASMDestroySubdomains(PetscInt n,IS **iis,IS **ois)

Collective

### Input Parameters

| n | - the number of index sets
| iis | - the array of inner subdomains,
| ois | - the array of outer subdomains, can be NULL

### Notes

this is merely a convenience subroutine that walks each list, destroys each IS on the list, and then frees the list. At the end the list pointers are set to NULL.

### Keywords

PC, GASM, additive Schwarz, create, subdomains, unstructured grid

### See Also

PCGASMCreateSubdomains(), PCGASMSetSubdomains()

### Level

intermediate

### Location

src/ksp/pc/impls/gasm/gasm.c

### Examples

src/ksp/ksp/examples/tutorials/ex62.c.html
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages